summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 22:24:49 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:24:49 +0200
commitf950526d43c7df475016011f6836f88b8c94825c (patch)
treee15ddb066a53fd0c07a95c8f495bc99fa5bf4583 /multimedia
parent4bc62b64d6bf38d3a1dbb3f61b8868f831e9a1f2 (diff)
downloadslackbuilds-f950526d43c7df475016011f6836f88b8c94825c.tar.gz
slackbuilds-f950526d43c7df475016011f6836f88b8c94825c.tar.xz
multimedia/kino: Updated for version 1.3.2
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/kino/README7
-rw-r--r--multimedia/kino/doinst.sh7
-rw-r--r--multimedia/kino/kino.SlackBuild36
-rw-r--r--multimedia/kino/kino.info8
4 files changed, 40 insertions, 18 deletions
diff --git a/multimedia/kino/README b/multimedia/kino/README
index 86c69163bc..c5f7354ea8 100644
--- a/multimedia/kino/README
+++ b/multimedia/kino/README
@@ -8,5 +8,8 @@ audio stream) encodings.
Kino does not support other video file formats or encodings, but it
can import them by transcoding with FFmpeg and optionally MEncoder.
-This requires libraw1394, libavc1394, libiec61883, libdv, libsamplerate,
-and optionally ffmpeg, all of which available from SlackBuilds.org.
+This requires intltool, libraw1394, libavc1394, libiec61883, libdv,
+libsamplerate and ffmpeg. If you want support for quicktime you'll have
+to pass QUICKTIME=yes to the script. This will additionally require
+liquicktime.
+All dependencies are available from SlackBuilds.org.
diff --git a/multimedia/kino/doinst.sh b/multimedia/kino/doinst.sh
new file mode 100644
index 0000000000..9a8ded3c60
--- /dev/null
+++ b/multimedia/kino/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
diff --git a/multimedia/kino/kino.SlackBuild b/multimedia/kino/kino.SlackBuild
index fd52e20d84..d98936e293 100644
--- a/multimedia/kino/kino.SlackBuild
+++ b/multimedia/kino/kino.SlackBuild
@@ -4,12 +4,12 @@
# revision date 11/11/2007 (Armistice Day)
#
# I have set the -enable-local-ffmpeg option since I can't figure
-# out how to get the ffmpeg subdirectory configure script to be
-# passed the correct install directory for the creation of the
-# package. I figured this wasn't too much of an issue, since
+# out how to get the ffmpeg subdirectory configure script to be
+# passed the correct install directory for the creation of the
+# package. I figured this wasn't too much of an issue, since
# there's a ffmpeg SlackBuild script already.
#
-# If you can figure out how to get it to compile so that ffmpeg
+# If you can figure out how to get it to compile so that ffmpeg
# obeys the variables we set, please modify this accordinly.
# Modified by Robby Workman <rworkman@slackbuilds.org> for better
@@ -18,10 +18,11 @@
# that's installed on the system.
PRGNAM=kino
-VERSION=1.1.1
+VERSION=1.3.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -35,9 +36,15 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -fPIC"
fi
-set -e # Exit on most errors
+if [ "${QUICKTIME:-no}" = "no" ]; then
+ do_qt="dis"
+else
+ do_qt="en"
+fi
+
+set -e
-rm -rf $TMP/$PRGNAM-$VERSION $PKG
+rm -rf $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
@@ -52,15 +59,14 @@ CFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--disable-static \
- --enable-local-ffmpeg
+ --${do_qt}able-quicktime \
+ --disable-local-ffmpeg
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -76,8 +82,14 @@ cp -a ChangeLog AUTHORS BUGS COPYING INSTALL NEWS README TODO help/ \
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+# Fix a few things...
+chown -R root:root $PKG/usr/share/kino/help
+find $PKG/usr/share/kino/help/en -type d -exec chmod 0755 {} \;
+find $PKG/usr/share/kino/help/en -type f -exec chmod 0644 {} \;
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/kino/kino.info b/multimedia/kino/kino.info
index 4c6975e959..6c39983f18 100644
--- a/multimedia/kino/kino.info
+++ b/multimedia/kino/kino.info
@@ -1,8 +1,8 @@
PRGNAM="kino"
-VERSION="1.1.1"
+VERSION="1.3.2"
HOMEPAGE="http://www.kinodv.org/"
-DOWNLOAD="http://downloads.sourceforge.net/kino/kino-1.1.1.tar.gz"
-MD5SUM="9aebc3ab965fba24021ba522c031e5ef"
+DOWNLOAD="http://downloads.sourceforge.net/kino/kino-1.3.2.tar.gz"
+MD5SUM="c534c666ed0312c75c877eb1580b985c"
MAINTAINER="Pierre Cazenave"
EMAIL="pwcazenave@gmail.com"
-APPROVED="rworkman"
+APPROVED="dsomero"